Bug 91043 - Fix some issues with the SMART testcase
Summary: Fix some issues with the SMART testcase
Status: RESOLVED FIXED
Alias: None
Product: udisks
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Martin Pitt
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-21 08:39 UTC by Ross Lagerwall
Modified: 2019-01-09 04:06 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
integration-tests: Settle while waiting for property change (1.02 KB, patch)
2015-06-21 08:40 UTC, Ross Lagerwall
Details | Splinter Review
integration-tests: Don't fail if a SMART test was aborted (1.16 KB, patch)
2015-06-21 08:41 UTC, Ross Lagerwall
Details | Splinter Review
integration-tests: Add a wrapper to write and flush stderr (5.00 KB, patch)
2015-06-21 08:41 UTC, Ross Lagerwall
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ross Lagerwall 2015-06-21 08:39:31 UTC
.
Comment 1 Ross Lagerwall 2015-06-21 08:40:59 UTC
Created attachment 116625 [details] [review]
integration-tests: Settle while waiting for property change

Since there's no main loop running, perform a settle() while waiting for
the smart-updated property to change, otherwise it can hang
indefinitely.
Comment 2 Ross Lagerwall 2015-06-21 08:41:01 UTC
Created attachment 116626 [details] [review]
integration-tests: Don't fail if a SMART test was aborted

Don't unnecessarily fail if the SMART data shows that a test has been
aborted.
Comment 3 Ross Lagerwall 2015-06-21 08:41:03 UTC
Created attachment 116627 [details] [review]
integration-tests: Add a wrapper to write and flush stderr

sys.stderr is line-buffered by default which means that the status
updates (e.g. '[wait for data]') do not show up until after the test has
finished. Introduce a wrapper which writes to and flushes stderr.
Comment 4 Martin Pitt 2015-06-29 14:31:40 UTC
These look good, thank you! I took the liberty to smuggle another common SMARTstatus "interrupted" into the second patch.

All applied.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.